> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Cartoon

> Input a face photo to generate a personalized two-dimensional animation image, which can be used to create personalized avatars, fun activities, special effects applications and other scenes to enhance the experience of social entertainment.



## OpenAPI

````yaml /openapi/face-change.json post /face/cartoon
openapi: 3.0.0
info:
  title: Face Transformation
  version: 1.0.0
  description: API reference for Face Transformation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /face/cartoon:
    post:
      summary: Cartoon
      description: >-
        Input a face photo to generate a personalized two-dimensional animation
        image, which can be used to create personalized avatars, fun activities,
        special effects applications and other scenes to enhance the experience
        of social entertainment.
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
              - application/x-ndjson
            type: string
          required: false
          description: Face Cartoon Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - image_url
              properties:
                image_url:
                  type: string
                  description: Face Cartoon Image Url
            example:
              image_url: https://cdn.acedata.cloud/4hfydw.jpg
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                example:
                  image_url: >-
                    https://faceeffect-1254418846.cos.ap-guangzhou.myqcloud.com/ft/FaceCartoonPic/1256437459/b41fc806-d45c-4974-8efb-fd7b7b1dfd8e
                properties:
                  image_url:
                    type: string
                    description: Face Cartoon Response 200 Image Url
          description: Face Cartoon Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Face Cartoon Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Face Cartoon Response 400 Error Message
                      trace_id:
                        type: string
                        description: Face Cartoon Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Face Cartoon Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: Face Cartoon Response 400 Error Message 2
                      trace_id:
                        type: string
                        description: Face Cartoon Response 400 Trace Id 2
          description: Face Cartoon Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Face Cartoon Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Face Cartoon Response 401 Error Message
                      trace_id:
                        type: string
                        description: Face Cartoon Response 401 Trace Id
          description: Face Cartoon Response 401
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Face Cartoon Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: Face Cartoon Response 429 Error Message
                      trace_id:
                        type: string
                        description: Face Cartoon Response 429 Trace Id
          description: Face Cartoon Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Face Cartoon Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Face Cartoon Response 500 Error Message
                      trace_id:
                        type: string
                        description: Face Cartoon Response 500 Trace Id
          description: Face Cartoon Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````